### Method

# Malcontent SessionLimits get_daily_limit

since: 0.14.0

#### Declaration [src]

    gboolean
    mct_session_limits_get_daily_limit (
      MctSessionLimits* limits,
      unsigned int* out_daily_limit_secs
    )

#### Description [src]

Get the daily limit, if set.

If set, sessions are allowed to be up to the given limit in length every day.

`out_daily_limit_secs` is guaranteed to be at most `24 * 60 * 60` if set.

Available since: 0.14.0

#### Parameters

`out_daily_limit_secs`

  Type: `unsigned int*`

  Return location for the maximum amount of active session time allowed per day for the user, in seconds.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

True if a daily limit is set, false otherwise.